import { createAsyncThunk } from "@reduxjs/toolkit";
import axios from "axios";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";

export const provinceGetWagesOfKillhousesService = createAsyncThunk(
  "PROVINCE_GET_VETERINARY_LETTER",
  async (d, { dispatch }) => {
    dispatch(LOADING_START());
    const { data, status } = await axios.get("kill-house-new-wage/", {
      params: {
        ...d,
      },
    });
    dispatch(LOADING_END());
    return { data, status };
  }
);

export const parentCompanyGetWagesOfKillhousesService = createAsyncThunk(
  "PARENT_COMPANY_GET_VETERINARY_LETTER",
  async (d, { dispatch }) => {
    dispatch(LOADING_START());
    const { data, status } = await axios.get(
      d + "parent-company-kill-house-new-wage/"
    );
    dispatch(LOADING_END());
    return { data, status };
  }
);
